Badges
These API endpoints are related to the badge system on Omniplex
GET
Lists every badge in the catalog with how to earn it and how many entities hold it.
Success
application/json- response
badges?array<>curl -X GET 'https://spider.omniplex.gg/badges'Example Response
{ "badges": [ { "automatic": true, "color": "string", "description": "string", "holders": 0, "how_to_earn": "string", "icon": "string", "id": "string", "linked_role": true, "name": "string", "target_types": [ "string" ] } ]}GET
Gets the badges assigned to a user, bot, server, or team.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
Success
application/json- response
badges?array<>curl -X GET 'https://spider.omniplex.gg/string/string/badges'Example Response
{ "badges": [ { "awarded_by": "string", "badge": { "color": "string", "description": "string", "icon": "string", "id": "string", "name": "string", "target_types": [ "string" ] }, "created_at": "2019-08-24T14:15:22Z", "reason": "string" } ]}